<?php  #For InstantCMS from Maximov.

class p_insertalbums extends cmsPlugin {

	public function __construct(){

		parent::__construct();

		$this->info['plugin']		= 'p_insertalbums';
		$this->info['title']		= 'Вставка фотоальбомов';
		$this->info['description']	= 'Автоматически вставляет целые альбомы в статьи и блоги';
		$this->info['author']		= '<a href="http://www.instantcms.ru/users/Maximov">Maximov</a>';
		$this->info['version']		= '0.4';

		$this->events[]				= 'GET_POST';
		$this->events[]				= 'GET_ARTICLE';

	}

	public function install(){	return parent::install();	}
	public function upgrade(){	return parent::upgrade();	}
	public function execute($event='', $item=array()){
		parent::execute();
		if ($event=='GET_POST') {$content='content_html';}
		else{$content='content';}
		$inUser = cmsUser::getInstance();

		if (preg_match("/(http:\/\/)?(www.)?".cmsCore::getHost()."\/photos\/(\d+)/i" , $item[$content], $dir)==1) {
			cmsCore::loadClass('photo');
			$inPhoto = cmsPhoto::getInstance();
			$inPhoto->whereAlbumIs($dir[3]);
			$photos = $inPhoto->getPhotos();
			foreach($photos as $photo){
				$album.= '<a href="/photos/photo'.$photo[id].'.html" title="'.$photo[title].'"> <img class="photo_thumb_img" src="/images/photos/small/'.$photo[file].'" alt="'.$photo[title].'" border="0" /> </a> ';
			}
			$item[$content].="<br>".$album;
		}
		if (preg_match("/(http:\/\/)?(www.)?".cmsCore::getHost()."\/users\/(\w+)\/photos\/private(\d+).html/i", $item[$content], $dir)==1) {
			$inDB = cmsDatabase::getInstance();
			$sql = "SELECT 	u.id uid,p.imageurl,p.title,p.id
            		FROM cms_user_photos p
            		LEFT JOIN cms_users u ON u.id = p.user_id
            		LEFT JOIN cms_user_albums a ON a.id = p.album_id
            		WHERE p.allow_who = 'all' AND u.is_deleted = 0 AND u.is_locked = 0 AND p.album_id =$dir[4] AND a.allow_who = 'all'";
			$result = $inDB->query($sql) ;
			while ($usr = $inDB->fetch_assoc($result)){
				$users[] = $usr;
			}
			foreach($users as $photo){
				$album.= ' <a href="/users/'.$photo[uid].'/photo'.$photo[id].'.html" title="'.$photo[title].'"> <img class="photo_thumb_img" src="/images/users/photos/small/'.$photo[imageurl].'" alt="'.$photo[title].'" border="0" /> </a> ';
			}
			$item[$content] .="<br>".$album;
		}
		return $item;
	}
}
?>
